function lcov_clear(handle)
% LCOV_CLEAR Delete a covariance object.
%   LCOV_CLEAR(HANDLE) deletes the covariance object referenced
%   by HANDLE. After that, the Matlab function PACK is called.
%
%   See also LCOV_CLEARALL, LCOV_CREATE.

  global LCOV_STRUCTS

  LCOV_STRUCTS{handle}=[];
  v=version;
  if v(1)<='7' && v(3)<='5' % for version 7.6 or higher PACK is no longer 
    pack                    % allowed inside functions (only in scripts)
    %fprintf('packing\n');  
  end
