function sfa_clear(hdl)
% SFA_CLEAR Clear a SFA object.
%   SFA_CLEAR(HDL) clears the SFA object referenced by HDL and performs a
%   PACK operation.
%
%   See also SFA_CLEARALL
  
  global SFA_STRUCTS
  SFA_STRUCTS{hdl}=[];
  v=version;
  if v(1)<='7' && v(3)<='5' % for version 7.6 or higher PACK is no longer 
    pack                    % allowed inside functions (only in scripts)
    %fprintf('packing\n');  
  end

