function gaussSave(hdl, filename)
% gaussSave: Save a GAUSS object.
%   gaussSave(HDL, FILENAME) saves the GAUSS object referenced by HDL to
%   FILENAME with the variable name 'strct'.
%
%   See also gaussLoad
  
  global GAUSS_STRUCTS
  
  %sfa_clear_fastexc(hdl);
  strct=GAUSS_STRUCTS{hdl};
  save(filename,'strct');
