function lcov_clearall()
% LCOV_CLEAR Delete all covariance objects.
%   LCOV_CLEARALL() deletes all covariance objects created by
%   LCOV_CREATE. After that, the Matlab function PACK is called.
%
%   See also LCOV_CLEAR, LCOV_CREATE.

  clear global LCOV_STRUCTS
  v=version;  
  if v(1)<='7' && v(3)<='5' % for version 7.6 or higher PACK is no longer 
    pack                    % allowed inside functions (only in scripts)
    %fprintf('packing\n');  
  end

